# MongoDB\Driver\Session::isInTransaction

(mongodb >=1.6.0)

MongoDB\Driver\Session::isInTransaction — Returns whether a multi-document transaction is in progress

### Description

final public MongoDB\Driver\Session::isInTransaction ( void ) : boolean

Returns whether a multi-document transaction is currently in progress for this session. A transaction is considered "in progress" if it has been started but has not been committed or aborted.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` if a transaction is currently in progress for this session, and `FALSE` otherwise.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.

### See Also

- MongoDB\Driver\Session::getTransactionState() - Returns the current transaction state for this session